/*
** iplog_dns.h - iplog DNS cache data.
** Copyright (C) 1999 Odin <odin@numb.org>
**
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License, version 2,
** as published by the Free Software Foundation.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA
*/

#ifndef __DNS_H
#define __DNS_H

#define DNS_TIMEOUT		14400	/* Expire cache entries after 4 hours */
#define DNS_MAXSIZE		128		/* size of hash table */
#define DNS_MAX_ENT		4		/* max number of entries for each hash */

struct dns_entry {
	struct dns_data *head;
	u_long cnt;
	pthread_mutex_t lock;
};

struct dns_data {
	struct dns_data *next;
	u_char *host;
	addr_t addr;
	time_t expire;
};

u_char *get_dns_cache(addr_t addr, u_char *buf, size_t len);
void destroy_dns_cache(void);

#endif /* __DNS_H */

/* vim:ts=4:sw=8:tw=0 */
